import threading
from typing import Dict, Any

from Entity.AnchorModel import AnchorModel

tikTokApp = "com.zhiliaoapp.musically"
# wda apple bundle id
WdaAppBundleId = "com.vv.wda.xctrunner"
# 全局主播列表
anchorList: list[AnchorModel] = []
# 线程锁
anchorListLock = threading.Lock()
# 账号token
accountToken = "xHtil6YiAH2QxDgAYVwCfVafx7xkOoeHVfiVgfqfdwe88KZW5jbRsjDS9ZGFILJSGuXTu4V29MgHaYnO3jy2dxpqs77DtAQGnW6AlJ7NItSWSmSaoKRXtCYEng9KlCft"
# 打招呼数据
prologueList = []
# 评论列表
commentsList = []



# 安全删除数据
def removeModelFromAnchorList(model: AnchorModel):
    with anchorListLock:
        anchorList.remove(model)

# 添加数据
def addModelToAnchorList(models: list[Dict[str, Any]]):
    with anchorListLock:
        for dic in models:
            obj = AnchorModel.dictToModel(dic)
            anchorList.append(obj)

